Bug 802094 - Gthumb can't produce thumbnails for RAW image files in F16
Gthumb can't produce thumbnails for RAW image files in F16
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-10 22:13 EST by Steevithak
Modified: 2013-07-31 18:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:10:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steevithak 2012-03-10 22:13:50 EST
Description of problem:
Gthumb fails to generate or display thumbnails for RAW format images in Fedora 16. Thumbnails are generated properly for JPEG images. It's possible this affects only Canon's RAW format. That's the only RAW format I have available to test with. In my case these are RAW files generated by a Canon 40D, not a new camera by any means. This is a feature that worked fine in older versions of Fedora (not sure about F15, but definitely F13/F14, so I expect a flaw in either Fedora 16 or the latest version of GThumb is to blame. Since it used to work fine, it should be relatively easy to fix (I hope)

Version-Release number of selected component (if applicable):
2.14.2

How reproducible:
Always

Steps to Reproduce:
1. Open Gthumb 
2. Navigate to directory containing some Canon RAW files
3. 
  
Actual results:
Preview pane shows only blank, white rectangles where thumbnails should be

Expected results:
Thumbnails of raw files

Additional info:
Comment 1 Steevithak 2012-08-29 23:29:20 EDT
This bug is still present in Fedora 17 / gThumb 3.0.1
Comment 2 Fedora End Of Life 2013-01-16 07:37:37 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Steevithak 2013-01-16 11:42:34 EST
As noted in comment 1, the bug is still present in Fedora 17. I've updated the OS from version 16 to 17.
Comment 4 Steevithak 2013-01-30 17:40:53 EST
I've just updated to Fedora 18, which includes gThumb 3.0.2. The problem appears to be fixed. I've seen gThumb successfully generate thumbnails for a variety of RAW image formats. I think this bug can finally be closed.
Comment 5 Fedora End Of Life 2013-07-03 17:14:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 18:10:08 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.